> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all subscription plans

> Operacion: Get all subscription plans.



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/subscription_plan/all
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/subscription_plan/all:
    get:
      tags:
        - Subscription Plan
      summary: Get all subscription plans
      description: 'Operacion: Get all subscription plans.'
      operationId: SubscriptionPlanController_getAll
      parameters:
        - name: order
          required: false
          in: query
          description: 'Order by name: asc'
          schema:
            type: string
      responses:
        '200':
          description: List of all subscription plans
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SubscriptionPlanResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    SubscriptionPlanResponseDto:
      type: object
      properties:
        id:
          type: number
        name:
          type: object
        subscription_currency_id:
          type: number
        currency_name:
          type: object
        currency_value:
          type: object
        description:
          type: object
      required:
        - id
        - subscription_currency_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````